Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.transport
Class DelegatedChannel

    java.lang.Object
      org.codehaus.xfire.transport.DelegatedChannel

All Implemented Interfaces:
  Channel

    public class DelegatedChannel

extends java.lang.Object
implements Channel

Wraps another channel so it is easy to add another layer of functionality.

Author:
  Dan Diephouse

Field Summary

Fields inherited from interface org.codehaus.xfire.transport.Channel
`BACKCHANNEL_URI`

Constructor Summary
`DelegatedChannel(Transport transport, Channel channel)`

Method Summary
`void` | `close()`
`ChannelEndpoint` | `getEndpoint()`
`Transport` | `getTransport()`
`java.lang.String` | `getUri()`
`void` | `open()`
`void` | `receive(MessageContext context, InMessage message)`
`void` | `send(MessageContext context, OutMessage message)` Sends a message.
`void` | `setEndpoint(ChannelEndpoint receiver)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatedChannel

    public DelegatedChannel(Transport transport,
                            Channel channel)

Method Detail

### open

    public void open()
              throws java.lang.Exception

  Specified by:
    `open` in interface `Channel`
  Throws:
    `java.lang.Exception`

### send

    public void send(MessageContext context,
                     OutMessage message)
              throws XFireException

  Description copied from interface: `Channel`
  Sends a message.

  Specified by:
    `send` in interface `Channel`
  Throws:
    `XFireException` - Occurs if there was an error an error sending the message.

### receive

    public void receive(MessageContext context,
                        InMessage message)

  Specified by:
    `receive` in interface `Channel`

### setEndpoint

    public void setEndpoint(ChannelEndpoint receiver)

  Specified by:
    `setEndpoint` in interface `Channel`

### close

    public void close()

  Specified by:
    `close` in interface `Channel`

### getTransport

    public Transport getTransport()

  Specified by:
    `getTransport` in interface `Channel`

### getUri

    public java.lang.String getUri()

  Specified by:
    `getUri` in interface `Channel`
  Returns:
    The URI which represents this Channel's endpoint.

### getEndpoint

    public ChannelEndpoint getEndpoint()

  Specified by:
    `getEndpoint` in interface `Channel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.